<?php
namespace Modules\Ajax\Rules;

use Psr\Http\Message\ServerRequestInterface;

// @phpcs:ignore
class Erreur
{
    /** @var ServerRequestInterFace $request */
    protected ServerRequestInterface $request;
    
    /** @var \PDO $pdo */
    protected \PDO $pdo;
    
    public function __construct(ServerRequestInterface $request, \PDO $pdo)
    {
        $this->request  = $request;
        $this->pdo      = $pdo;
    }


    /**
     * @return bool
     */
    public function popupErreurValid(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function popupErreurXml(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function ajaxAjoutSignataire(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function popupConfirmationSuppresion(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function popupConfirmationMultiSuppression(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function popupConfirmationGestion(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function popupConfirmationSuppressionNoteur(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function popupConfirmationRedirection(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function popupInformation(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function popupErreurAlerteEtAvertissement(): bool
    {
        return true;
    }
}
